Jump to content

Open Beta required ?


Recommended Posts

The download page at the ED shop claims that Open BETA is required and in fact actual you can`t install the Campaign on the sable version.

 

We hope that will change with the next stable update in the coming week.

 

So if you fly the stable version or steam? Don't worry ED and his team is working on it.

 

Thanks for your patience

Always happy landings ;)

Link to comment
Share on other sites

I cant wait for it to come to stable! already bought the campaign, just dont want two separate installations of dcs on my computer.

 

ive got high hopes this'll be better than the absolutely awful UN campaign!

[sIGPIC][/sIGPIC] DCS: The most expensive free game you'll ever play

 

 

 

Modules: All of them

System:

 

I9-9900k, ROG Maximus , 32gb ram, RTX2070 Founder's Edition, t16000,hotas, pedals & cougar MFD, HP Reverb 1.2, HTC VIVE

 

Link to comment
Share on other sites

 Share

  • Recently Browsing   0 members

    • No registered users viewing this page.
×
×
  • Create New...